View Issue Details

IDProjectCategoryView StatusLast Update
03791Development Otherpublic2009-11-18 15:08
Reporterlemeur Assigned ToEvan  
PriorityurgentSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target Version1.87Fixed in Version1.87 
Summary03791: preview question is broken in latest development version
Description

For instance the first question of the Sample survey shows:

< class="<<<">
{QUESTION_MANDATORY}{QUESTION_TEXT}
{QUESTION_HELP} {QUESTION_MAN_MESSAGE} {QUESTION_VALID_MESSAGE}
1 2 3 4 5 No answer
FBI
CIA
G5
NASA

Instead of replacing the fields.

Additional Information

Hi Evan, coudl you please fix this bug as I think it is bound to your recent commits 7761+7763+7766 ?

Thanks in advance,
Thibault

TagsNo tags attached.

Relationships

related to 03832 closedEvan Bug reports Problem at Preview at Template Editor 

Activities

user372

2009-10-30 15:55

  ~09925

Hi Evan, please fix this issue asap ==> I'm working on the latest version and it is really hard to create surveys without a question preview!

Evan

Evan

2009-11-03 02:02

reporter   ~09967

I'll have a look at this tonight when I get home. I have to confess I never use the question preview function so didn't think to test it.

Evan

Evan

2009-11-03 15:57

reporter   ~09971

added associative array $question which is used by templatereplace() to substitute keywords for the values from $question. This fix should be backwards compatible with LS 1.7 and 1.8 templates.

Issue History

Date Modified Username Field Change
2009-10-24 14:40 lemeur New Issue
2009-10-24 14:40 lemeur Status new => assigned
2009-10-24 14:40 lemeur Assigned To => Evan
2009-10-30 15:54 user372 Priority high => urgent
2009-10-30 15:55 user372 Note Added: 09925
2009-11-03 02:02 Evan Note Added: 09967
2009-11-03 15:57 Evan Note Added: 09971
2009-11-03 15:57 Evan Status assigned => resolved
2009-11-03 15:57 Evan Fixed in Version => 1.87
2009-11-03 15:57 Evan Resolution open => fixed
2009-11-13 00:10 user372 Relationship added related to 03832
2009-11-18 15:08 c_schmitz Status resolved => closed